com.google.appengine.api.xmpp

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - com.google.appengine.api.xmpp.MessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageType>

      public enum MessageType
      extends java.lang.Enum<MessageType>

  Types of XMPP messages.
  See Also:
    RFC 3921, Section 2.1.1 for the specification of XMPP message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHAT`
    `ERROR`
    `GROUPCHAT`
    `HEADLINE`
    `NORMAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHAT

          public static final MessageType CHAT

    - #### ERROR

          public static final MessageType ERROR

    - #### GROUPCHAT

          public static final MessageType GROUPCHAT

    - #### HEADLINE

          public static final MessageType HEADLINE

    - #### NORMAL

          public static final MessageType NORMAL

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null